IF (SELECT max_Length FROM Sys.columns c (NOLOCK)
	INNER JOIN sys.tables t (NOLOCK) ON c.object_id = t.object_id and t.name = 'MailAddresses'
	WHERE c.NAME = 'MailAddress') < 150
BEGIN
	ALTER TABLE AddressMail ALTER COLUMN Mail VARCHAR (150) NOT NULL
	ALTER TABLE MailAddresses ALTER COLUMN MailAddress VARCHAR (150) NOT NULL
	ALTER TABLE ReservationAddress ALTER COLUMN EMail VARCHAR (150)
END